package gui;

import java.awt.*;
import java.awt.event.*;
import javax.swing.*;
public class LoadDialog extends JDialog
{
    JLabel statusLbl;
 
    public LoadDialog(JFrame parent )
    {
        super( parent );
        setTitle("Loadinig ");
        JPanel cp = new JPanel();
        cp.setLayout( new BorderLayout());
        cp.add( new JLabel("Please Wait") , BorderLayout.NORTH );
        statusLbl = new JLabel("Counter =     ");
        cp.add( statusLbl, BorderLayout.SOUTH );
        setContentPane( cp );
        pack();
 
        Runnable runner = new Runnable()
        {
            public void run()
            {
                    try
                    {
                        SwingUtilities.invokeAndWait( new Runnable()
                                                      {
                                                          public void run()
                                                          {
                                                              statusLbl.setText( "please wait" );
                                                          }
                                                      });
 
 
                    }
                    catch( Exception exc )
                    {
                        exc.printStackTrace();
                    }
		    }
        };
        setModal( true );
        Thread t = new Thread( runner );
        t.start();
        setLocationRelativeTo( parent );
        setVisible( true );
    }
 
 
    public static void main(String[] args) throws Exception
    {
        try
        {
            UIManager.setLookAndFeel(UIManager.getSystemLookAndFeelClassName());
        }
        catch( Exception e )
        {
        }
        final JFrame f = new JFrame("Threaded Dialog");
        JPanel cp = new JPanel();
        JButton button = new JButton( "Load");
        cp.add( button );
        button.addActionListener( new ActionListener()
                                  {
                                      public void actionPerformed( ActionEvent e )
                                      {
                                          new LoadDialog( f );
                                      }
                                  });
 
        f.setDefaultCloseOperation(JFrame.EXIT_ON_CLOSE);
        f.setContentPane(cp);
        f.pack();
        f.setLocationRelativeTo(null);
        f.setVisible(true);
    }
}
