/*
 * File:   MinusIcon.java
 * Author: Conrad Rider
 * Email:  c.rider@eviltree.co.uk
 * Date:   22-02-05
 */

package gui.icon;

import java.awt.Color;
import java.awt.Component;
import java.awt.Graphics;
import javax.swing.Icon;

/** Icon representing a minus sign */
public class MinusIcon implements Icon{
	public static final Color ICON_COLOR = new Color(195, 0, 0);
	public int getIconHeight(){ return 11; }
	public int getIconWidth() { return 13; }
	public void paintIcon(Component c, Graphics g, int x, int y){
		g.setColor(ICON_COLOR);
		g.fillRect(x, y+4, 11, 3);
		g.setColor(Color.BLACK);
	}	
}
