/*
 * File:   Cow.java
 * Author: Conrad Rider
 * Email:  c.rider@eviltree.co.uk
 * Date:   22-02-05
 */

 
 
package sim.livestock;

import sim.*;
import sim.pasture.*;
import sim.livestock.*;
import utils.*;


import java.awt.*;
import java.awt.geom.*;


/** Class to represent a Cow (not implemented fully yet - they just stand idle) */
public class Cow extends Animal{
	
	public Cow(Simulation sim, double px, double py, LivestockGroup herd){ super(sim, px, py, herd); }

	
	/** Draw hunger data */
	public void drawHunger(Graphics g){ super.draw(g); }
	
	/** Draw thirst data */
	public void drawThirst(Graphics g){ super.draw(g); }
	
	public void draw(Graphics g){
		g.setColor(Animal.COLOR_COW);
		super.draw(g);
	}
	
	public void animate(){ roam(); }
	
	
	public void roam(){ super.roam((Point2D.Double)this); }
}
